/*
 * binhex.c - generate hex data from bin file
 *
 * Released under GPL v2
 * by Elmar Hanlhofer  http://www.plop.at
 *
 */


#include <stdio.h>
#include <unistd.h>

#ifdef WIN32
#include "windows.h"
#include "winioctl.h"
#endif

#include <stdlib.h>
#include <string.h>

int main (int argc, char *argv[])
{


    FILE *pf;
    char c;
    int i;
    
    if (!(pf=fopen (argv[1],"r")))
    {
    
	printf ("error open file %s\n",argv[1]);
	return 1;
    }
    
    i=0;
    while (!feof (pf))
    {
	i++;
	printf ("0x%02x,",fgetc (pf));
	if (i>10) 
	{
	    printf ("\n		");
	    i=0;
	}
    
    
    }
    
    return 0;
}

